# Build this file using 'python -m build --no-isolation'
[build-system]
requires = ["setuptools>=61.0", "wheel", "sls_build_backend"]
build-backend = "sls_build_backend"

[project]
name = "sls_python"
version = "0.0.2-alpha"
description = "Python reimplementation of the SLS C project"
authors = [ { name = "Kyler Olsen" } ]
readme = "README.md"
license = { text = "MIT" }
requires-python = ">=3.10"
dependencies = []

[tool.setuptools]
packages = ["sls_py"]

[project.scripts]
sls_py = "sls_py.__main__:main"
